@keyframes bulge {
  from {
    width: 4%;
  }

  to {
    width: 12%
  }
}

@keyframes bulge2 {
  from {
    width: 5%;
  }

  to {
    width: 15%
  }
}

@keyframes bulge3 {
  from {
    width: 16.666%;
  }

  to {
    width: 35.333%
  }
}

@keyframes bulge4 {
  from {
    width: 7.333%;
  }

  to {
    width: 16.666%
  }
}

body {
  margin: 0;
}

#header {
  background-color: #f4e9d9;
  height: 4em;
}

#fancybar {
  background-color: #666;
  padding-left: 10%;
  /*start the boxes at 10%*/
  height: 4px;
}

#fancybar div,
#fullwidth div {
  height: 4px;
  padding: 0;
  margin: 0;
  float: left;
  /* turn on shadows by commenting this out */
  /* box-shadow: 0 0 0 0 transparent; */
  border-left: 2px solid #fff;
  animation-timing-function: linear;
}

#fancybar div:last-child {
  border-right: 2px solid #fff
}

/* #fullwidth {
  margin-top: 8em;
} */

#fullwidth div {
  border: none;
}

.purple {
  background-color: #593160;
  box-shadow: 0px 4px 25px 0px #593160;
  width: 16%;
  animation: bulge2 12s infinite alternate linear;
}

.blue {
  background-color: #165788;
  box-shadow: 0px 5px 25px 0px #165788;
  width: 16%;
  animation: bulge 7s infinite alternate-reverse linear;

}

.green {
  background-color: #427730;
  box-shadow: 0px 5px 25px 0px #427730;
  width: 16%;
  animation: bulge 7s infinite alternate linear;

}

.olive {
  background-color: #827c34;
  box-shadow: 0px 5px 25px 0px #827c34;
  width: 16%;
  animation: bulge 5s infinite alternate-reverse linear;
}

.yellow {
  background-color: #c38e00;
  box-shadow: 0px 5px 25px 0px #c38e00;
  width: 16%;
  animation: bulge 5s infinite alternate linear;
}

.red {
  background-color: #983222;
  box-shadow: 0px 5px 25px 0px #983222;
  width: 16%;
  animation: bulge2 12s infinite alternate-reverse linear;
}

#fullwidth .purple {
  animation: bulge3 12s infinite alternate linear;
}

#fullwidth .blue {
  animation: bulge4 7s infinite alternate-reverse linear;

}

#fullwidth .green {
  animation: bulge4 7s infinite alternate linear;

}

#fullwidth .olive {
  animation: bulge4 5s infinite alternate-reverse linear;
}

#fullwidth .yellow {
  animation: bulge4 5s infinite alternate linear;
}

#fullwidth .red {
  animation: bulge3 12s infinite alternate-reverse linear;
}
